04f01c205f
pkgsrc changes: - consolidate several patches into site.config.m4 - pkgsrc LDFLAGS should always be used - don't bother specifying file owner/group anywhere except in Makefile - create include/sm/os/sm_os_netbsd.h to fix warnings and OS specific stuff - install mail.local and rmail - convert to use res_n* functions - allows for linking against threaded libraries - add a TODO file - PR/35249 - Loren M. Lang - can't find libraries on Linux, this should be fixed by using pkgsrc LDFLAGS - PR/46694 - Makoto Fujiwara - bring back netbsd-proto.mc from when sendmail was part of the base system - PR/47207 - Richard Palo - let pkgsrc infrastructure handle file ownership and group - PR/48566 - Emmanuel Dreyfus - always set _FFR_USE_GETPWNAM_ERRNO on NetBSD - roll ffr_tls_1 and the suggested ffr_tls_ec into one new ffr_tls option - not enabled by default because it changes behaviour 8.14.9/8.14.9 2014/05/21 SECURITY: Properly set the close-on-exec flag for file descriptors (except stdin, stdout, and stderr) before executing mailers. Fix a misformed comment in conf.c: "/*" within comment which may cause a compilation error on some systems. Problem reported by John Beck of Oracle. DEVTOOLS: Fix regression in auto-detection of libraries when only shared libraries are available. Problem reported by Bryan Costales.
50 lines
839 B
Text
50 lines
839 B
Text
$NetBSD: patch-ao,v 1.3 2014/06/15 20:48:50 jnemeth Exp $
|
|
|
|
--- devtools/bin/install.sh.orig 2014-03-06 17:31:29.000000000 +0000
|
|
+++ devtools/bin/install.sh
|
|
@@ -101,25 +101,26 @@ then
|
|
$strip $dst
|
|
fi
|
|
|
|
-# Change owner if requested
|
|
-if [ ! -z "$owner" ]
|
|
-then
|
|
- $chown $owner $dst
|
|
- if [ $? != 0 ]
|
|
- then
|
|
- exit 1
|
|
- fi
|
|
-fi
|
|
-
|
|
-# Change group if requested
|
|
-if [ ! -z "$group" ]
|
|
-then
|
|
- chgrp $group $dst
|
|
- if [ $? != 0 ]
|
|
- then
|
|
- exit 1
|
|
- fi
|
|
-fi
|
|
+# XXX Don't try to change owner or group, let pkgsrc infrastructure handle it.
|
|
+## Change owner if requested
|
|
+#if [ ! -z "$owner" ]
|
|
+#then
|
|
+# $chown $owner $dst
|
|
+# if [ $? != 0 ]
|
|
+# then
|
|
+# exit 1
|
|
+# fi
|
|
+#fi
|
|
+#
|
|
+## Change group if requested
|
|
+#if [ ! -z "$group" ]
|
|
+#then
|
|
+# chgrp $group $dst
|
|
+# if [ $? != 0 ]
|
|
+# then
|
|
+# exit 1
|
|
+# fi
|
|
+#fi
|
|
|
|
# Change mode if requested
|
|
if [ ! -z "$mode" ]
|